Basic IPs
All operations require authentication.
List Ext-Net IPsProduction
Returns the Ext-Net IPs of the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the Ext-Net IP
Current state of the Ext-Net IP
Ongoing asynchronous tasks related to the Ext-Net IP
The Ext-Net IP address, used as identifier
Ext-Net IP readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the Ext-Net IP
Last update date of the Ext-Net IP
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ publicIp/ extNet \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "id": "string", "ip": "192.0.2.0", "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING", "targetSpec": { "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get an Ext-Net IPProduction
Returns the Ext-Net IP, including the resource it's associated with.
Path parameters
Id
Project ID
Response
Computed hash representing the current target specification value
Creation date of the Ext-Net IP
Current state of the Ext-Net IP
Ongoing asynchronous tasks related to the Ext-Net IP
The Ext-Net IP address, used as identifier
Ext-Net IP readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the Ext-Net IP
Last update date of the Ext-Net IP
Example uses id = 192.0.2.0, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ publicIp/ extNet/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "id": "string", "ip": "192.0.2.0", "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING", "targetSpec": { "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete an Ext-Net IPProduction
Deletes the Ext-Net IP. If it's associated with a resource, it is disassociated automatically.
Path parameters
Id
Project ID
Response
Computed hash representing the current target specification value
Creation date of the Ext-Net IP
Current state of the Ext-Net IP
Ongoing asynchronous tasks related to the Ext-Net IP
The Ext-Net IP address, used as identifier
Ext-Net IP readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the Ext-Net IP
Last update date of the Ext-Net IP
Example uses id = 192.0.2.0, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ publicIp/ extNet/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "id": "string", "ip": "192.0.2.0", "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING", "targetSpec": { "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "updatedAt": "2024-01-01T12:00:00Z"}